| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions
Tp::OutgoingFileTransferChannel Class Reference
Channel proxies

The OutgoingFileTransferChannel class represents a Telepathy channel of type FileTransfer for outgoing file transfers. More...

`#include <TelepathyQt/OutgoingFileTransferChannel>`

Inherits Tp::FileTransferChannel.

List of all members.

## Public Member Functions

- virtual ~OutgoingFileTransferChannel ()
- PendingOperation * provideFile (QIODevice *input)

## Static Public Member Functions

- static
  OutgoingFileTransferChannelPtr create (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties)

## Static Public Attributes

- static const Feature FeatureCore

## Protected Member Functions

- OutgoingFileTransferChannel (const ConnectionPtr &connection, const QString &objectPath, const QVariantMap &immutableProperties, const Feature &coreFeature=OutgoingFileTransferChannel::FeatureCore)

## Detailed Description

The OutgoingFileTransferChannel class represents a Telepathy channel of type FileTransfer for outgoing file transfers.

For more details, please refer to Telepathy specification.

See Asynchronous Object Model, Shared Pointer Usage

## Constructor & Destructor Documentation

Tp::OutgoingFileTransferChannel::~OutgoingFileTransferChannel | ( |  | ) | `[virtual]`

Class destructor.

Tp::OutgoingFileTransferChannel::OutgoingFileTransferChannel | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties,
|  | const Feature & | coreFeature = `OutgoingFileTransferChannel::FeatureCore`
| ) |  | `[protected]`

Construct a new OutgoingFileTransferChannel object.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.
  coreFeature | The core feature of the channel type, if any. The corresponding introspectable should depend on OutgoingFileTransferChannel::FeatureCore.

## Member Function Documentation

OutgoingFileTransferChannelPtr Tp::OutgoingFileTransferChannel::create | ( | const ConnectionPtr & | connection,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties
| ) |  | `[static]`

Create a new OutgoingFileTransferChannel object.

Parameters:

  connection | Connection owning this channel, and specifying the service.
  objectPath | The channel object path.
  immutableProperties | The channel immutable properties.

Returns:
  An OutgoingFileTransferChannelPtr object pointing to the newly created OutgoingFileTransferChannel object.

Reimplemented from Tp::FileTransferChannel.

PendingOperation * Tp::OutgoingFileTransferChannel::provideFile | ( | QIODevice * | input | ) |

Provide the file for an outgoing file transfer which has been offered.

The state will change to FileTransferStateOpen as soon as the transfer starts. The given input device should not be destroyed until the state() changes to FileTransferStateCompleted or FileTransferStateCancelled. If input is a sequential device QIODevice::isSequential(), it should be closed when no more data is available, so that it's known when to stop reading.

Only the primary handler of a file transfer channel may call this method.

This method requires FileTransferChannel::FeatureCore to be ready.

Parameters:

  input | A QIODevice object where the data will be read from.

Returns:
  A PendingOperation object which will emit PendingOperation::finished when the call has finished.

See also:
  stateChanged(), state(), stateReason()

## Member Data Documentation

const Feature Tp::OutgoingFileTransferChannel::FeatureCore`[static]`

Feature representing the core that needs to become ready to make the OutgoingFileTransferChannel object usable.

This is currently the same as FileTransferChannel::FeatureCore, but may change to include more.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.

Reimplemented from Tp::FileTransferChannel.